org.eclipse.jetty.server.session.jmx

## Class AbstractSessionManagerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean
    - - org.eclipse.jetty.server.session.jmx.AbstractSessionManagerMBean

- All Implemented Interfaces:
    DynamicMBean

      public class AbstractSessionManagerMBean
      extends AbstractHandlerMBean

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `_managed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSessionManagerMBean(Object managedObject)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getObjectContextBasis()`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean

      `getContextName, getObjectNameBasis`

    - ### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSessionManagerMBean

          public AbstractSessionManagerMBean(Object managedObject)

  - ### Method Detail

    - #### getObjectContextBasis

          public String getObjectContextBasis()

      Overrides:
        `getObjectContextBasis` in class `AbstractHandlerMBean`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.